com.sun.java.xml.ns.javaee

## Class ErrorPageType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.ErrorPageType

-     public class ErrorPageType
      extends Object

  The error-pageType contains a mapping between an error code or exception type to the path of a resource in the web application. Error-page declarations using the exception-type element in the deployment descriptor must be unique up to the class name of the exception-type. Similarly, error-page declarations using the status-code element must be unique in the deployment descriptor up to the status code. Used in: web-app

  Java-Klasse für error-pageType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="error-pageType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <choice minOccurs="0">
                 <element name="error-code" type="{http://java.sun.com/xml/ns/javaee}error-codeType"/>
                 <element name="exception-type" type="{http://java.sun.com/xml/ns/javaee}fully-qualified-classType"/>
               </choice>
               <element name="location" type="{http://java.sun.com/xml/ns/javaee}war-pathType"/>
             </sequence>
             <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ErrorCodeType` | `errorCode`
    `protected FullyQualifiedClassType` | `exceptionType`
    `protected String` | `id`
    `protected WarPathType` | `location`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ErrorPageType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ErrorCodeType` | `getErrorCode()` Ruft den Wert der errorCode-Eigenschaft ab.
    `FullyQualifiedClassType` | `getExceptionType()` Ruft den Wert der exceptionType-Eigenschaft ab.
    `String` | `getId()` Ruft den Wert der id-Eigenschaft ab.
    `WarPathType` | `getLocation()` Ruft den Wert der location-Eigenschaft ab.
    `void` | `setErrorCode(ErrorCodeType value)` Legt den Wert der errorCode-Eigenschaft fest.
    `void` | `setExceptionType(FullyQualifiedClassType value)` Legt den Wert der exceptionType-Eigenschaft fest.
    `void` | `setId(String value)` Legt den Wert der id-Eigenschaft fest.
    `void` | `setLocation(WarPathType value)` Legt den Wert der location-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### errorCode

          protected ErrorCodeType errorCode

    - #### exceptionType

          protected FullyQualifiedClassType exceptionType

    - #### location

          protected WarPathType location

    - #### id

          protected String id

  - ### Constructor Detail

    - #### ErrorPageType

          public ErrorPageType()

  - ### Method Detail

    - #### getErrorCode

          public ErrorCodeType getErrorCode()

      Ruft den Wert der errorCode-Eigenschaft ab.
      Returns:
        possible object is `ErrorCodeType`

    - #### setErrorCode

          public void setErrorCode(ErrorCodeType value)

      Legt den Wert der errorCode-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `ErrorCodeType`

    - #### getExceptionType

          public FullyQualifiedClassType getExceptionType()

      Ruft den Wert der exceptionType-Eigenschaft ab.
      Returns:
        possible object is `FullyQualifiedClassType`

    - #### setExceptionType

          public void setExceptionType(FullyQualifiedClassType value)

      Legt den Wert der exceptionType-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `FullyQualifiedClassType`

    - #### getLocation

          public WarPathType getLocation()

      Ruft den Wert der location-Eigenschaft ab.
      Returns:
        possible object is `WarPathType`

    - #### setLocation

          public void setLocation(WarPathType value)

      Legt den Wert der location-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `WarPathType`

    - #### getId

          public String getId()

      Ruft den Wert der id-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Legt den Wert der id-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2015 buschmais GbR. All rights reserved.